Commit 506de182 authored by Sven Bartscher's avatar Sven Bartscher

Merge branch 'master' into st3

parents fdfb03a4 9cdae75e
ghc-mod (5.3.0.0-1) unstable; urgency=low
* New upstream release
-- Sven Bartscher <sven.bartscher@weltraumschlangen.de> Mon, 17 Aug 2015 13:52:17 +0200
ghc-mod (5.2.1.2-1) unstable; urgency=medium
* New upstream release (Closes: #785936)
......
......@@ -6,25 +6,66 @@ Build-Depends: debhelper (>= 9),
haskell-devscripts (>= 0.9),
cdbs,
ghc,
ghc-prof,
ghc-ghci,
libghc-async-dev,
libghc-async-prof,
libghc-convertible-dev,
libghc-convertible-prof,
libghc-cabal-helper-dev (>= 0.5.1.0),
libghc-cabal-helper-dev (<< 0.6),
libghc-cabal-helper-prof,
libghc-cereal-dev (>= 0.4),
libghc-cereal-prof,
libghc-djinn-ghc-dev (>= 0.0.2.2),
libghc-data-default-dev,
libghc-djinn-ghc-prof,
libghc-fclabels-dev,
libghc-fclabels-prof,
libghc-ghc-paths-dev,
libghc-ghc-paths-prof,
libghc-ghc-syb-utils-dev,
libghc-src-exts-dev,
libghc-ghc-syb-utils-doc,
libghc-hlint-dev (>= 1.8.61),
libghc-io-choice-dev,
libghc-monad-control-dev,
libghc-hlint-prof,
libghc-monad-control-dev (>= 1),
libghc-monad-control-prof,
libghc-monad-journal-dev (>= 0.4),
libghc-monad-journal-prof,
libghc-mtl-dev (>= 2.0),
libghc-mtl-prof,
libghc-split-dev,
libghc-split-prof,
libghc-src-exts-dev,
libghc-src-exts-prof,
libghc-syb-dev,
libghc-syb-prof,
libghc-text-dev,
libghc-text-prof,
libghc-transformers-base-dev,
libghc-transformers-base-prof,
libghc-temporary-dev,
Standards-Version: 3.9.5
libghc-temporary-prof,
Build-Depends-Indep: ghc-doc,
libghc-async-doc,
libghc-convertible-doc,
libghc-cabal-helper-doc,
libghc-cereal-doc,
libghc-djinn-ghc-doc,
libghc-fclabels-doc,
libghc-ghc-paths-doc,
libghc-ghc-syb-utils-doc,
libghc-hlint-doc,
libghc-monad-control-doc,
libghc-monad-journal-doc,
libghc-mtl-doc,
libghc-split-doc,
libghc-src-exts-doc,
libghc-syb-doc,
libghc-temporary-doc,
libghc-text-doc,
libghc-transformers-base-doc,
libghc-temporary-doc,
Standards-Version: 3.9.6
Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc-mod
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc-mod
......@@ -34,6 +75,7 @@ Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends},
${haskell:ghc-version},
cabal-helper,
Recommends: ghc-mod-el (= ${binary:Version}),
Description: Happy Haskell programming
This package provides the executables ghc-mod and ghc-modi. The GNU Emacs
......
......@@ -13,4 +13,4 @@ install/ghc-mod :: debian/tmp-inst-ghc
install/ghc-mod-el :: debian/tmp-inst-ghc
mkdir -p debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod
cp debian/tmp-inst-ghc/usr/share/ghc-mod/*.el debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod/
cp debian/tmp-inst-ghc/usr/share/ghc-mod/elisp/*.el debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod/
haskell-cabal-helper (0.5.1.0-1) unstable; urgency=low
* Initial release
-- Sven Bartscher <sven.bartscher@weltraumschlangen.de> Sun, 16 Aug 2015 19:05:16 +0200
Source: haskell-cabal-helper
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
haskell-devscripts (>= 0.9),
cdbs,
ghc,
ghc-prof,
libghc-data-default-dev,
libghc-data-default-prof,
libghc-mtl-dev,
libghc-mtl-prof,
libghc-temporary-dev,
libghc-utf8-string-dev,
Build-Depends-Indep: ghc-doc,
libghc-data-default-doc,
libghc-mtl-doc,
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/cabal-helper
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-cabal-helper
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-cabal-helper
X-Description: Simple interface to some of Cabal's configuration state used by ghc-mod
@cabal-helper@ provides a library which wraps the internal use of
anexecutable to lift the restrictions imposed by linking against versions of
GHC before @7.10@. This has the pleasant side effect of isolating the user
from having to deal with Cabal version changes manually as @cabal-helper@
can simply recompile it's helper program automatically as needed.
.
@cabal-helper@ uses a wrapper executable to compile the actual cabal-helper
executable at runtime while linking against an arbitrary version of
Cabal. This runtime-compiled helper executable is then used to extract
various bits and peices from Cabal\'s on disk state (dist/setup-config)
written by it's configure command.
.
In addition to this the wrapper executable also supports installing any
version of Cabal from hackage in case it cannot be found in any available
package database. The wrapper installs these instances of the Cabal library
into a private package database so as to not interfere with the user's
packages.
.
Furthermore the wrapper supports one special case namely reading a state
file for Cabal itself. This is needed as Cabal compiles it's Setup.hs using
itself and not using any version of Cabal installed in any package database.
.
@cabal-helper@ can compile with @Cabal >= 1.14@ but requires @Cabal >= 1.16@
at runtime.
Package: libghc-cabal-helper-dev
Architecture: any
Depends: ${haskell:Depends},
${misc:Depends},
${shlibs:Depends},
Recommends: ${haskell:Recommends},
cabal-helper,
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
${haskell:LongDescription}
.
${haskell:Blurb}
Package: libghc-cabal-helper-prof
Architecture: any
Depends: ${haskell:Depends},
${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
${haskell:LongDescription}
.
${haskell:Blurb}
Package: libghc-cabal-helper-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
${haskell:LongDescription}
.
${haskell:Blurb}
Package: cabal-helper
Architecture: any
Section: misc
Depends: ${haskell:Depends},
${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
${haskell:LongDescription}
.
${haskell:Blurb}
This diff is collapsed.
dist-ghc/build/cabal-helper-wrapper/cabal-helper-wrapper usr/bin
#!/usr/bin/make -f
DEB_CABAL_PACKAGE = cabal-helper
DEB_DEFAULT_COMPILER = ghc
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
build/haskell-cabal-helper-utils:: build-ghc-stamp
version=3
http://hackage.haskell.org/package/cabal-helper/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
haskell-yaml (0.8.12-3) unstable; urgency=medium
* Build-depend on test-related packages on arm64, armel, armhf, ppc64el,
and s390x as well, since they now have TH.
-- Colin Watson <cjwatson@debian.org> Sun, 16 Aug 2015 21:39:06 +0100
haskell-yaml (0.8.12-2) unstable; urgency=medium
* Fix typos in the recent upload
-- Joachim Breitner <nomeata@debian.org> Sun, 16 Aug 2015 18:01:13 +0200
haskell-yaml (0.8.12-1) unstable; urgency=medium
* New upstream release
......
......@@ -30,12 +30,12 @@ Build-Depends: debhelper (>= 9),
libghc-vector-prof,
libyaml-dev,
pkg-config,
libghc-hspec-dev (>= 1.3) [powerpc sparc any-amd64 any-i386],
libghc-hspec-expectations-dev [powerpc sparc any-amd64 any-i386],
libghc-hunit-dev [powerpc sparc any-amd64 any-i386],
libghc-aeson-qq-dev [powerpc sparc any-amd64 any-i386],
libghc-mockery-dev [powerpc sparc any-amd64 any-i386],
libghc-base-compat-dev [powerpc sparc any-amd64 any-i386],
libghc-hspec-dev (>= 1.3) [arm64 powerpc ppc64el s390x any-amd64 any-arm any-i386],
libghc-hspec-expectations-dev [arm64 powerpc ppc64el s390x any-amd64 any-arm any-i386],
libghc-hunit-dev [arm64 powerpc ppc64el s390x any-amd64 any-arm any-i386],
libghc-aeson-qq-dev [arm64 powerpc ppc64el s390x any-amd64 any-arm any-i386],
libghc-mockery-dev [arm64 powerpc ppc64el s390x any-amd64 any-arm any-i386],
libghc-base-compat-dev [arm64 powerpc ppc64el s390x any-amd64 any-arm any-i386],
Build-Depends-Indep: ghc-doc,
libghc-aeson-doc,
libghc-attoparsec-doc,
......
......@@ -2,7 +2,7 @@
DEB_SETUP_GHC_CONFIGURE_ARGS := --flags=system-libyaml
DEB_ENABLE_TESTS = $(shell test -e /usr/bin/ghc && echo yes)
DEB_ENABLE_TESTS = $(shell test -e /usr/bin/ghci && echo yes)
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment